Bug 89729 - www/lynx: "I can't seem to find a patch in there anywhere."
Summary: www/lynx: "I can't seem to find a patch in there anywhere."
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-29 16:30 UTC by Scot Hetzel
Modified: 2005-12-12 21:33 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Scot Hetzel 2005-11-29 16:30:10 UTC
On 11/29/05, Rob <spamrefuse@yahoo.com> wrote:
>
> Hi,
>
> There seem to be a problem with the distribution
> patches for lynx-ssl; I get three messages like
> this:
>
>  "I can't seem to find a patch in there anywhere."
>
> See below for details.
> Is there a problem with these patches?
>

The problem are these files:

> => MD5 Checksum OK for lynx2.8.5rel.1.tar.bz2.asc.
> => MD5 Checksum OK for 2.8.5rel.2.patch.gz.asc.
> => MD5 Checksum OK for 2.8.5rel.3.patch.gz.asc.
> => MD5 Checksum OK for 2.8.5rel.4.patch.gz.asc.

These files are PGP Signature files for the respective
2.8.5rel.?.patch.gz files.

These files should be removed from the www/lynx/Makefile:

.for i in 2 3 4
PATCHFILES+=    2.8.5rel.${i}.patch.gz 2.8.5rel.${i}.patch.gz.asc
.endfor

As they are clearly not patch files.

Scot
--

Fix: 

I just came up with a solution to this problem, change the for loop to:

.for i in 2 3 4
PATCHFILES+=    2.8.5rel.${i}.patch.gz
DISTFILES+=    2.8.5rel.${i}.patch.gz.asc
.endfor

Then change SIG_FILES to:

SIG_FILES=      ${DISTFILES:M*.asc}

In the www/lynx/Makefile

This will prevent the "I can't seem to find a patch in there anywhere."
patch error from occuring.
How-To-Repeat: go to either www/lynx or www/lynx-ssl and do a make patch
Comment 1 Edwin Groothuis freebsd_committer 2005-11-29 16:33:10 UTC
Maintainer of www/lynx,

Please note that PR ports/89729 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/89729

-- 
Edwin Groothuis
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2005-11-29 16:33:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 Sam Lawrance freebsd_committer 2005-12-12 00:20:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Take
Comment 4 Sam Lawrance freebsd_committer 2005-12-12 21:30:59 UTC
State Changed
From-To: feedback->closed

Close but no banana.  A similar fix was committed, though :-)